Subject: Re: bug#74924: 29.3; Buffer showing manpage jumps back to beginning

From: martin rudalics <[email-masked]>
Date: Wed, 8 Jan 2025 10:56:49 +0100

> However, before pushing the patch, let's solve another problem
 > that the manpage window jumps back to the beginning
 > even on a window system.  Here is the reproducible test case:
 >
 > 1. emacs -Q
 > 2. M-x man RET man RET
 > 3. C-M-v (scroll-other-window)
 > 4. Reduce the width of the frame
 > 5. manpage window jumps back to the beginning

Why does it do that?  I can try to find out by myself but I hope you
already know better.

 > So unless Martin has objections, I will also change
 > 'with-current-buffer' to 'with-selected-window':

I don't have any objections but we'd have to say why it is necessary for
curing the above problem.

martin